<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>HTML Tables, Froms and Semantics</title>
</head>

	<body>
		<!-- div is Empty container and a sample of a block/ ginugroup ang mga tags -->
		<div align="center">
			<h2>HTML Tables</h2>
			<p>sample paragraph</p>


				<!-- table - creates table -->
				<!-- thead - container that specifies the header of the table -->
				<!-- tr - table row, to create a row -->
				<!-- th - table heading, to create the title each cell -->

			<table border="1">
				<thead>
					<tr>
						<th>Hi! I am your first cell</th>
						<th>Hi! I am your 2nd cell</th>
						<th>Hi! I am your 3rd cell</th>
						<th>Hi! I am your 4th cell</th>
					</tr>
				</thead>

				<tbody>
					<!-- td - table data, contains the data of the table -->
					<tr>
						<th>second row, 1st cell</td>
						<td rowspan="2">second row, 2nd cell</td>
						<td colspan="2">second row, 3rd cell</td>

					<!-- Colspan allows a single table cell to span the width of more than one  cell or column. Merging of columns -->
					<!-- rowspan allows a single table cell to span the height of more than one  cell or row. Merging of columns -->

					</tr>
					<tr>
						<th>3rd row, 1st cell</td>
						<td>3rd row, 2nd cell</td>
						<td>3rd row, 3rd cell</td>
				
					</tr>

				</thead>

				</tbody>
				<tfoot>
					
					<tr>
						<td>Footer</td>
					</tr>

				</tfoot>
			</table>

				<table border="1">
					<thead>
						<tr>
							<th></th>
							<th>9am</th>
							<th>10am</th>
							<th>11am</th>
							<th>1pm</th>
						</tr>
					</thead>
					<tbody>
						<tr>
							<th>Monday</td>
							<td colspan="2">geography</td>
							<td>math</td>
							<td rowspan="3">art</td>
							
						</tr>

						<tr>
							<th>Tuesday</td>
							<td colspan="3">Gym</td>
							
						</tr>
					</tbody>

				</table>
		</div>
		



		<div>
			<h2>HTML Forms</h2>
			<p>Forms to input elements that make up a form</p>
			<form action="">
				<!-- create a button that will submit the form data 
					- <label> tag - creates a text element that will serve as a label for an input field. this creates an inline element.

					- <input> tag - creates a form input element to capture user input. This creates an inline element.

					- <for> attribute is used with the "id" attribute in an input element. This allows the users to select the input field when they click on the label for a better user experience.
				-->
				
				<label for="firstName">First Name:</label>
				<input type="Text" placeholder="Input your name here" id="firstName" required autocomplete>
				<button type="Submit">Submit</button>
			</form>


		</div>
		

		<div align="right">
			<h2>Google Maps</h2>
			<p>sample paragraph</p>
		</div>
		



	</body>
</html>